R-Link 2: update from v2, v3 to v7 possible.

October 4th, 2019
GPS R-Link

Updates to the R-Link 2 have never been easy to follow. At first only the garage could do updates and then 2 years later the owners could start doing it on their own via the ➡ easy-connect.renault.com website.


Generally a system in a software branch (v2, v3, v7, v8 and V9) remained in its branch. Renault has decided to change this and this is good news for users. Indeed it is now possible to switch from the v2 branch to the v7 branch! It is possible for the Megane IV, Kadjar, Talisman and Espace V.

In concrete terms, people between versions v2.2.x.x.x (e. g. v2.2.17.803) will switch to version 7.0.24.16x. This version brings features such as Bluetooth enhancements, shortcuts on the top of the screen and bug fixes ( ➡ see the article about the v7)

EDIT (oct-2019): it is now possible to update from v3 to v7.

To do this update you must go to a Renault dealer. The update procedure for them seems slightly different to usual, it is necessary for the garage to consult the new procedure in Actis solution n°49605. The update sould not be free of charge. I also recommend going to a Renault dealer that has already encountered this case and not to a small garage.


It will then be possible to activate Android Auto using the unofficial method described ➡ here. However, as the Apple Carplay chip is missing, it will not be possible to activate it.

14 Responses to “R-Link 2: update from v2, v3 to v7 possible.

  • Tom Polman
    4 months ago

    I have the 3.3.* on my 2018 Mégane Estate GT205, but I will attend my brother with his 2016 Talisman Estate TCe200 about this update.

    One question, what do you think of this article (maybe you should use Google Translate, just like I did) about getting CarPlay to 2.2 systems. It seems changing the USB-connector should be enough.
    https://www.rnews.cz/aktivace-android-auto-a-apple-carplay-na-r-linku2/

    • Hello,

      thanks for the article. You first need to update from v2 to v7 to do that. Android Auto is not contains in the v2 software version so it is why you need to update 😊

  • It’s amazing!
    Reading here, it all seems simple.
    Too bad that 3 Renault garages denied me the upgrade. After the interest of Renault Italia, and having set the appointment, I was advised not to update. But your garage do they do training?? Either the system is very complex or the garages are not up to the task!
    If you “recommend going to a Renault dealer that has already encountered this case”…. then create authorized garage r-link!
    During the warranty period they were not able to update R-link and are now stuck at 2.2.15.703 and it is unusable with the bluetooth of my smartphone (with related safety issues driving).

  • I’ve visited dealer for update from 2.2.19.300 to 7.0.24.166… and they couldn’t update it.
    They say they’ve contacted the renault itself which have said that the Rlink2 device (hardware) is too old to update to v7.
    Megane IV 02/2016
    Current version: 2.2.19.300
    Bootloader: 5327
    Prior to upgrade dealer has said to me that they know about it (actis sln) but from their experience it’s really a vehicle dependent.

  • Hi,

    unfortunately the same is here in Croatia. I’ve tried in an official garage and talked to Multimedia system service line.
    They say that my R-LINK 2 hardware does not support update from 2.2.19.300 to 7.0.24.16x. Furthermore, according to VIN No. even if there is a possibility in the future to upgrade to v7 I couldn’t mirror Android to the system because of the hardware.

    Talisman 12/2016

  • Sérgio P.
    2 months ago

    I’ve done this back in June at an official portuguese dealer when faced with bluetooth connection problems between an iphone and a Megane IV. They checked it out and proceeded with the upgrade, free of charge.

    • Afonso M.
      2 months ago

      Sérgio P – Podes me dizer como conseguiste que eles te actualizassem o sistema?
      Tenho uma Megane IV de 08/2016.

      Obrigado.

      • Sérgio P.
        1 week ago

        Boas, Afonso. Já tinha escrito resposta mas por alguma razão não está a aparecer.
        Apenas reportei o problema de bluetooth entre ios12 e o R-Link (v2.2.15.703) num concessionário da marca (Vesauto, Sintra), deixei lá o carro e quando mo devolveram estava com o 7.0.24.161.

  • Andreas
    1 month ago

    Is the update from v3.x to v7.x with the same actis number as the update from v7?

    • SpeedFreak
      2 weeks ago

      I also have the V3.x and ask my dealer for update (actis 49605) – he told me, that this actis-solution ist not for my car (Megane IV wit V3.x)

  • Руслан
    3 weeks ago

    Hello. I have a Renault Espace Initiale 2016. First, I updated the firmware to the one offered by VIN on easyconnect – version 2.2.19.300 was no problem. Then I tried to update the firmware from 2.2.19.300 to 3.3.16.980. It was proposed to install the software, then reboot the system, then an inscription about installation, after a few seconds the head rebooted again, then again – and now the screen is black forever, the head unit does not turn on. Disconnecting the battery terminal did not help. Can this be fixed somehow?

  • Riccardo
    1 week ago

    Dear,

    first of all excuse my bad english, I’m from Italy.

    I’ve a Scenic IV – Bose – Hybrid Assist of November 2017 with R-Link version 3.3.16.986 and, for several problems encountered occasionally (bluetooth disconnecting, black screens, very low volume) I wish I could upgrade it to, at least, version 7.x or later.

    I went to two different car workshops (official Renault) in my town but, even by contacting Renault Italy, it seems there is no such possibility. It seems strange to me because, other Italian users, have received the update from 3.x to 7.x or even to 8.x and another user, with my same engine (mild hybrid), already has the 7.x .
    Obviously the official updates on the Renault site have already been done, but I never exceed the 3.3.16.986.

    Whether you know, is there any hope of being able to update it? Some users have said that there should be this possibility from January, for everyone, to upgrade…do you know if it’s true?

    Thanks to everyone who can help me!

    Riccardo

    P.S.: I tried to suggest the Actis 49605 note to the workshop myself, but they confirmed that it is NOT for Scenic and could block the entire system!
    A similar problem happened to one / two users that I met through other sites.
    Is there an Actis code specific to the Scenic series IV?

  • I have just came out of garage .
    I have Koleos 2018.
    I can say that process is a bit of hasssle. But after 5 efforts we finally did it.
    If anyone needs some advice how to run it for Koleos from 3.3.16.X (i had 3.3.16.896) to 7.0.x – you are welcome to write me.

    • and now i have question to admin: do you know what is a procedure to upgrade to 8.x or 9.x?

Leave a Reply to Feyd Cancel reply

Your email address will not be published. Required fields are marked *